Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGDeviceName

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.sg.SGDeviceName

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class SGDeviceName
extends QTByteObject

Each device name structure identifies a single device that may be used by the channel. The SGDeviceName data type defines the format of a device name structure.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` the size of the native structure

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`int` | `getFlags()`
`java.lang.String` | `getName()`
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  the size of the native structure

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this device.

### getFlags

    public int getFlags()

  Returns:
    the flags associated with this device

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String represenation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD